searchData={"items":[{"type":"behaviour","title":"Fab.Internet","doc":"Functions for generating random internet related data.","ref":"Fab.Internet.html"},{"type":"function","title":"Fab.Internet.domain_name/0","doc":"Generates a random domain name.","ref":"Fab.Internet.html#domain_name/0"},{"type":"function","title":"Examples - Fab.Internet.domain_name/0","doc":"iex> Fab.Internet.domain_name()\n    \"interchange.tel\"","ref":"Fab.Internet.html#domain_name/0-examples"},{"type":"function","title":"Fab.Internet.email_address/1","doc":"Generates a random email address.\n\nThe email address is constructed from a generated username and a domain name,\nseparated by `@`.","ref":"Fab.Internet.html#email_address/1"},{"type":"function","title":"Options - Fab.Internet.email_address/1","doc":"- `:case` - Case format of the username. Can be `:any`, `:lower`, `:mixed` or\n  `:upper`. Defaults to `:any`.\n- `:first_name` - First name to use. Defaults to a randomly generated name\n  based on `:sex`.\n- `:last_name` - Last name to use. Defaults to a randomly generated name\n  based on `:sex`.\n- `:sex` - Sex used to generate the first and last name. Can be `:female`,\n  `:male` or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Internet.html#email_address/1-options"},{"type":"function","title":"Examples - Fab.Internet.email_address/1","doc":"iex> Fab.Internet.email_address()\n    \"tiana.goodwin68@mountain.courses\"\n\n    iex> Fab.Internet.email_address(case: :lower)\n    \"marian_waelchi76@confusion.solutions\"\n\n    iex> Fab.Internet.email_address(case: :mixed)\n    \"Delores_Konopelski@orchid.voting\"\n\n    iex> Fab.Internet.email_address(case: :upper)\n    \"CIERRA_GISLASON@LIVE.MEME\"\n\n    iex> Fab.Internet.email_address(first_name: \"Anthony\")\n    \"ANTHONY_WARD62@PHRASE.WIKI\"\n\n    iex> Fab.Internet.email_address(last_name: \"Smith\")\n    \"selina.smith8@empty.mil\"\n\n    iex> Fab.Internet.email_address(sex: :female)\n    \"peggy_kemmer@boyfriend.center\"\n\n    iex> Fab.Internet.email_address(sex: :male)\n    \"SAUL_VANDERVORT13@CIRCULAR.REVIEW\"","ref":"Fab.Internet.html#email_address/1-examples"},{"type":"function","title":"Fab.Internet.http_method/0","doc":"Returns a random HTTP method.","ref":"Fab.Internet.html#http_method/0"},{"type":"function","title":"Examples - Fab.Internet.http_method/0","doc":"iex> Fab.Internet.http_method()\n    \"PUT\"","ref":"Fab.Internet.html#http_method/0-examples"},{"type":"function","title":"Fab.Internet.http_status_code/1","doc":"Returns a random HTTP status code.","ref":"Fab.Internet.html#http_status_code/1"},{"type":"function","title":"Examples - Fab.Internet.http_status_code/1","doc":"iex> Fab.Internet.http_status_code()\n    502","ref":"Fab.Internet.html#http_status_code/1-examples"},{"type":"function","title":"Fab.Internet.ip/0","doc":"Generates a random IPv4 or IPv6 address.","ref":"Fab.Internet.html#ip/0"},{"type":"function","title":"Examples - Fab.Internet.ip/0","doc":"iex> Fab.Internet.ip()\n    \"4b1c:e71c:9b7d:66a5:b1ff:c34:a2dd:533e\"","ref":"Fab.Internet.html#ip/0-examples"},{"type":"function","title":"Fab.Internet.ipv4/0","doc":"Generates a random IPv4 address.","ref":"Fab.Internet.html#ipv4/0"},{"type":"function","title":"Examples - Fab.Internet.ipv4/0","doc":"iex> Fab.Internet.ipv4()\n    \"110.105.64.36\"","ref":"Fab.Internet.html#ipv4/0-examples"},{"type":"function","title":"Fab.Internet.ipv6/0","doc":"Generates a random IPv6 address.","ref":"Fab.Internet.html#ipv6/0"},{"type":"function","title":"Examples - Fab.Internet.ipv6/0","doc":"iex> Fab.Internet.ipv6()\n    \"2a98:473b:9ee0:17b4:4352:2f7b:38bb:809b\"","ref":"Fab.Internet.html#ipv6/0-examples"},{"type":"function","title":"Fab.Internet.port/0","doc":"Returns a random port number.","ref":"Fab.Internet.html#port/0"},{"type":"function","title":"Examples - Fab.Internet.port/0","doc":"iex> Fab.Internet.port()\n    32497","ref":"Fab.Internet.html#port/0-examples"},{"type":"function","title":"Fab.Internet.tld/0","doc":"Returns a random TLD.","ref":"Fab.Internet.html#tld/0"},{"type":"function","title":"Examples - Fab.Internet.tld/0","doc":"iex> Fab.Internet.tld()\n    \"living\"","ref":"Fab.Internet.html#tld/0-examples"},{"type":"callback","title":"Fab.Internet.tld/0","doc":"","ref":"Fab.Internet.html#c:tld/0"},{"type":"function","title":"Fab.Internet.url/0","doc":"Generates a random URL.","ref":"Fab.Internet.html#url/0"},{"type":"function","title":"Examples - Fab.Internet.url/0","doc":"iex> Fab.Internet.url()\n    \"https://desk.bio\"","ref":"Fab.Internet.html#url/0-examples"},{"type":"function","title":"Fab.Internet.username/1","doc":"Generates a random username.\n\nA username is a combination of a person's first name and last name, joined by\na randomly chosen separator (`_` or `.`). A numeric disambiguator may also be\nappended to the username.","ref":"Fab.Internet.html#username/1"},{"type":"function","title":"Options - Fab.Internet.username/1","doc":"- `:case` - Case format of the username. Can be `:any`, `:lower`, `:mixed` or\n  `:upper`. Defaults to `:any`.\n- `:first_name` - First name to use. Defaults to a randomly generated name\n  based on `:sex`.\n- `:last_name` - Last name to use. Defaults to a randomly generated name\n  based on `:sex`.\n- `:sex` - Sex used to generate the first and last name. Can be `:female`,\n  `:male` or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Internet.html#username/1-options"},{"type":"function","title":"Examples - Fab.Internet.username/1","doc":"iex> Fab.Internet.username()\n    \"JUNE_BRADTKE56\"\n\n    iex> Fab.Internet.username(case: :lower)\n    \"eloise.beatty1\"\n\n    iex> Fab.Internet.username(case: :mixed)\n    \"Wiley_Ruecker\"\n\n    iex> Fab.Internet.username(case: :upper)\n    \"JAYLIN_ERDMAN63\"\n\n    iex> Fab.Internet.username(first_name: \"Anthony\")\n    \"Anthony.Okuneva\"\n\n    iex> Fab.Internet.username(last_name: \"Smith\")\n    \"Christine.Smith\"\n\n    iex> Fab.Internet.username(sex: :female)\n    \"ernestine.crooks\"\n\n    iex> Fab.Internet.username(sex: :male)\n    \"Manuel.Mraz57\"","ref":"Fab.Internet.html#username/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}